{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "newLine": "LF",
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "target": "es5",
    "typeRoots": [
      "node_modules/@types"
    ],
    "types": [
      "reflect-metadata",
    ],
    "lib": [
      "es2017",
      "dom"
    ],
    "paths": {
      "@app/*": [
        "src/app/*"
      ]
    }
    // /* Additional Checks */
    // "noUnusedLocals": true /* Report errors on unused locals. */,
    // "noUnusedParameters": true /* Report errors on unused parameters. */,
    // "noImplicitReturns": true /* Report error when not all code paths in function return a value. */,
    // "noFallthroughCasesInSwitch": true /* Report errors for fallthrough cases in switch statement. */,

    // /* Debugging Options */
    // "traceResolution": false /* Report module resolution log messages. */,
    // "listEmittedFiles": false /* Print names of generated files part of the compilation. */,
    // "listFiles": false /* Print names of files part of the compilation. */,
    // "pretty": true /* Stylize errors and messages using color and context. */,
  }
}
